	.file	"cmpxchg8b.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.comm	m64,8,8
	.comm	eax,4,4
	.comm	ebx,4,4
	.comm	ecx,4,4
	.comm	edx,4,4
	.comm	zout,4,4
#APP
	
foo:
	pushl %eax
	pushl %ebx
	pushl %ecx
	pushl %edx
	xorl %eax, %eax
	movl eax,%eax
	movl ebx,%ebx
	movl ecx,%ecx
	movl edx,%edx
	cmpxchg8b m64
	movl %eax,eax
	movl %ebx,ebx
	movl %ecx,ecx
	movl %edx,edx
	pushfl
	popl %eax
	movl %eax,zout
	popl %edx
	popl %ecx
	popl %ebx
	popl %eax
	ret

	.section	.rodata
	.align 4
.LC0:
	.string	"0x%x 0x%x 0x%x 0x%x 0x%x 0x%llx\n"
#NO_APP
	.text
.globl main
	.type	main, @function
main:
.LFB0:
	.file 1 "cmpxchg8b.c"
	.loc 1 46 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	pushl	%edi
	pushl	%esi
	pushl	%ebx
	subl	$68, %esp
	.loc 1 47 0
	movl	$286331153, edx
	movl	$572662306, eax
	.loc 1 48 0
	movl	$858993459, ecx
	movl	$1145324612, ebx
	.loc 1 49 0
	movl	$1431655765, zout
	.loc 1 50 0
	movl	$572662306, m64
	movl	$286331153, m64+4
	.loc 1 51 0
	.cfi_escape 0x10,0x3,0x7,0x75,0x0,0x9,0xf0,0x1a,0x3c,0x1c
	.cfi_escape 0x10,0x6,0x7,0x75,0x0,0x9,0xf0,0x1a,0x38,0x1c
	.cfi_escape 0x10,0x7,0x7,0x75,0x0,0x9,0xf0,0x1a,0x34,0x1c
	call	foo
	.loc 1 52 0
	movl	m64, %eax
	movl	m64+4, %edx
	movl	zout, %ecx
	andl	$65535, %ecx
	movl	%ecx, 32(%esp)
	movl	edx, %ecx
	movl	%ecx, 36(%esp)
	movl	ecx, %edi
	movl	ebx, %esi
	movl	eax, %ebx
	movl	$.LC0, %ecx
	movl	%eax, 24(%esp)
	movl	%edx, 28(%esp)
	movl	32(%esp), %eax
	movl	%eax, 20(%esp)
	movl	36(%esp), %eax
	movl	%eax, 16(%esp)
	movl	%edi, 12(%esp)
	movl	%esi, 8(%esp)
	movl	%ebx, 4(%esp)
	movl	%ecx, (%esp)
	call	printf
	.loc 1 55 0
	movl	$286331153, edx
	movl	$572662306, eax
	.loc 1 56 0
	movl	$858993459, ecx
	movl	$1145324612, ebx
	.loc 1 57 0
	movl	$1431655765, zout
	.loc 1 58 0
	movl	$572662306, m64
	movl	$286331153, m64+4
	.loc 1 59 0
	movl	m64, %eax
	movl	m64+4, %edx
	addl	$1, %eax
	adcl	$0, %edx
	movl	%eax, m64
	movl	%edx, m64+4
	.loc 1 60 0
	call	foo
	.loc 1 61 0
	movl	m64, %eax
	movl	m64+4, %edx
	movl	zout, %ecx
	andl	$65535, %ecx
	movl	%ecx, 40(%esp)
	movl	edx, %ecx
	movl	%ecx, 44(%esp)
	movl	ecx, %edi
	movl	ebx, %esi
	movl	eax, %ebx
	movl	$.LC0, %ecx
	movl	%eax, 24(%esp)
	movl	%edx, 28(%esp)
	movl	40(%esp), %eax
	movl	%eax, 20(%esp)
	movl	44(%esp), %eax
	movl	%eax, 16(%esp)
	movl	%edi, 12(%esp)
	movl	%esi, 8(%esp)
	movl	%ebx, 4(%esp)
	movl	%ecx, (%esp)
	call	printf
	.loc 1 64 0
	movl	$286331153, edx
	movl	$572662306, eax
	.loc 1 65 0
	movl	$858993459, ecx
	movl	$1145324612, ebx
	.loc 1 66 0
	movl	$1431655765, zout
	.loc 1 67 0
	movl	$572662306, m64
	movl	$286331153, m64+4
	.loc 1 68 0
	movl	m64, %eax
	movl	m64+4, %edx
	addl	$0, %eax
	adcl	$1, %edx
	movl	%eax, m64
	movl	%edx, m64+4
	.loc 1 69 0
	call	foo
	.loc 1 70 0
	movl	m64, %eax
	movl	m64+4, %edx
	movl	zout, %ecx
	andl	$65535, %ecx
	movl	%ecx, 48(%esp)
	movl	edx, %ecx
	movl	%ecx, 52(%esp)
	movl	ecx, %edi
	movl	ebx, %esi
	movl	eax, %ebx
	movl	$.LC0, %ecx
	movl	%eax, 24(%esp)
	movl	%edx, 28(%esp)
	movl	48(%esp), %eax
	movl	%eax, 20(%esp)
	movl	52(%esp), %eax
	movl	%eax, 16(%esp)
	movl	%edi, 12(%esp)
	movl	%esi, 8(%esp)
	movl	%ebx, 4(%esp)
	movl	%ecx, (%esp)
	call	printf
	.loc 1 73 0
	movl	$286331153, edx
	movl	$572662306, eax
	.loc 1 74 0
	movl	$858993459, ecx
	movl	$1145324612, ebx
	.loc 1 75 0
	movl	$1431655765, zout
	.loc 1 76 0
	movl	$2004318071, m64
	movl	$1717986918, m64+4
	.loc 1 77 0
	call	foo
	.loc 1 78 0
	movl	m64, %eax
	movl	m64+4, %edx
	movl	zout, %ecx
	andl	$65535, %ecx
	movl	%ecx, 56(%esp)
	movl	edx, %ecx
	movl	%ecx, 60(%esp)
	movl	ecx, %edi
	movl	ebx, %esi
	movl	eax, %ebx
	movl	$.LC0, %ecx
	movl	%eax, 24(%esp)
	movl	%edx, 28(%esp)
	movl	56(%esp), %eax
	movl	%eax, 20(%esp)
	movl	60(%esp), %eax
	movl	%eax, 16(%esp)
	movl	%edi, 12(%esp)
	movl	%esi, 8(%esp)
	movl	%ebx, 4(%esp)
	movl	%ecx, (%esp)
	call	printf
	.loc 1 81 0
	movl	$0, %eax
	.loc 1 82 0
	addl	$68, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%esi
	.cfi_restore 6
	popl	%edi
	.cfi_restore 7
	movl	%ebp, %esp
	.cfi_def_cfa_register 4
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa_offset 4
	ret
	.cfi_endproc
.LFE0:
	.size	main, .-main
.Letext0:
	.section	.debug_info
	.long	0x156
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF13
	.byte	0x1
	.long	.LASF14
	.long	.LASF15
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x2
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x2
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x2
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x2
	.byte	0x4
	.byte	0x5
	.long	.LASF8
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x4
	.long	.LASF10
	.byte	0x1
	.byte	0x4
	.long	0x5d
	.uleb128 0x4
	.long	.LASF11
	.byte	0x1
	.byte	0x5
	.long	0x25
	.uleb128 0x5
	.byte	0x1
	.long	.LASF16
	.byte	0x1
	.byte	0x2d
	.byte	0x1
	.long	0x4f
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.uleb128 0x6
	.string	"m64"
	.byte	0x1
	.byte	0x7
	.long	0x72
	.byte	0x1
	.byte	0x1
	.uleb128 0x6
	.string	"eax"
	.byte	0x1
	.byte	0x9
	.long	0x7d
	.byte	0x1
	.byte	0x1
	.uleb128 0x6
	.string	"ebx"
	.byte	0x1
	.byte	0xa
	.long	0x7d
	.byte	0x1
	.byte	0x1
	.uleb128 0x6
	.string	"ecx"
	.byte	0x1
	.byte	0xb
	.long	0x7d
	.byte	0x1
	.byte	0x1
	.uleb128 0x6
	.string	"edx"
	.byte	0x1
	.byte	0xc
	.long	0x7d
	.byte	0x1
	.byte	0x1
	.uleb128 0x7
	.long	.LASF12
	.byte	0x1
	.byte	0xd
	.long	0x7d
	.byte	0x1
	.byte	0x1
	.uleb128 0x8
	.string	"m64"
	.byte	0x1
	.byte	0x7
	.long	0x72
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	m64
	.uleb128 0x8
	.string	"eax"
	.byte	0x1
	.byte	0x9
	.long	0x7d
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	eax
	.uleb128 0x8
	.string	"ebx"
	.byte	0x1
	.byte	0xa
	.long	0x7d
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	ebx
	.uleb128 0x8
	.string	"ecx"
	.byte	0x1
	.byte	0xb
	.long	0x7d
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	ecx
	.uleb128 0x8
	.string	"edx"
	.byte	0x1
	.byte	0xc
	.long	0x7d
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	edx
	.uleb128 0x9
	.long	.LASF12
	.byte	0x1
	.byte	0xd
	.long	0x7d
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	zout
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0x2e
	.byte	0x0
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x48
	.value	0x2
	.long	.Ldebug_info0
	.long	0x15a
	.long	0x88
	.string	"main"
	.long	0xed
	.string	"m64"
	.long	0xff
	.string	"eax"
	.long	0x111
	.string	"ebx"
	.long	0x123
	.string	"ecx"
	.long	0x135
	.string	"edx"
	.long	0x147
	.string	"zout"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0x21
	.value	0x2
	.long	.Ldebug_info0
	.long	0x15a
	.long	0x72
	.string	"ULong"
	.long	0x7d
	.string	"UInt"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF6:
	.string	"long long int"
.LASF13:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF0:
	.string	"unsigned int"
.LASF12:
	.string	"zout"
.LASF3:
	.string	"long unsigned int"
.LASF14:
	.string	"cmpxchg8b.c"
.LASF7:
	.string	"long long unsigned int"
.LASF10:
	.string	"ULong"
.LASF15:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/none/tests/x86"
.LASF1:
	.string	"unsigned char"
.LASF16:
	.string	"main"
.LASF8:
	.string	"long int"
.LASF2:
	.string	"short unsigned int"
.LASF4:
	.string	"signed char"
.LASF5:
	.string	"short int"
.LASF11:
	.string	"UInt"
.LASF9:
	.string	"char"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
